Inhalte
Index 🔎︎

# Funktion Log

Liefert den natürlichen Logarithmus eines numerischen Ausdrucks.

## Syntax:

    Log (Zahl)

## Rückgabewert:

Double

## Parameter:

Zahl: Ein beliebiger numerischer Ausdruck, dessen natürlichen Logarithmus Sie berechnen möchten.

Der natürliche Logarithmus ist der Logarithmus zur Basis e. Die Basis e ist eine Konstante mit einem ungefähren Wert von 2,718282…

Sie können Logarithmen zu jeder beliebigen Basis (n) für jede Zahl (x) berechnen, indem Sie den natürlichen Logarithmus von x durch den natürlichen Logarithmus von n dividieren, wie nachstehend aufgeführt:

Log n(x) = Log(x) / Log(n)

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleLogExp
    Dim a As Double
    Dim Const b1=12.345e12
    Dim Const b2=1.345e34
        a=Exp( Log(b1)+Log(b2) )
        MsgBox "" & a & chr(13) & (b1*b2) ,0,"Multiplikation durch Logarithmenbildung"
    End Sub